View Issue Details

IDProjectCategoryView StatusLast Update
15026Feature requests[All Projects] Survey participants (Tokens)public2019-07-24 19:26
Reportertammo Assigned Toc_schmitz  
PrioritynoneSeverityfeature 
Status feedbackResolutionreopened 
Product Version 
Target VersionFixed in Version4.0.0-RC2 
Summary15026: Omit ambiguous characters from token
Description

In tokens you can specify the length, but not the characters that are used.

In our use case we have difficulties using the characters: O (cipital o), 0 (zero), l (lower case L), I (capital i) and 1 (one) that are ambiguous (depending a bit on the font that is used to show them).

In our use case these tokens are sent by mail (on paper) and users have to type them in like a password. Ambiguous characters then influence the response rate in a negative way: once entered a wrong code, people tend to turn away.

We propose to change the tokens in such a way that ambiguous characters are replaced.

We will make a pull request as soon as this is discussed enough here.

TagsNo tags attached.

Activities

ollehar

ollehar

2019-07-04 21:35

administrator   ~52744

Last edited: 2019-07-04 21:35

View 2 revisions

If you visit the team meetings on Tuesdays you can push this idea.

DenisChenu

DenisChenu

2019-07-05 10:58

developer   ~52746

This is really a needed option, most of https://github.com/LimeSurvey/LimeSurvey/pull/1104

But : my answer : «Such feature must be in plugin» https://github.com/LimeSurvey/LimeSurvey/pull/1104#issuecomment-408848641

Seems i'm the only one

If we accept only numeric, why not all the other : https://github.com/LimeSurvey/LimeSurvey/pull/1104#issuecomment-488587717

JanE

JanE

2019-07-20 22:31

reporter   ~52945

I have created a PR to make this possible with a plugin:
https://github.com/LimeSurvey/LimeSurvey/pull/1307

JanE

JanE

2019-07-22 18:59

reporter   ~52953

Replaced by a new PR for afterGenerateToken plus customToken plugin:
https://github.com/LimeSurvey/LimeSurvey/pull/1308

DenisChenu

DenisChenu

2019-07-23 11:07

developer   ~52954

Since no new feature in 3.X : for 4.X.

@JanE : your pull request seems great. Just let me test before merging (and quick discuss at today dev meeting)

DenisChenu

DenisChenu

2019-07-24 19:26

developer   ~52991

@c_schmitz : see discussion about have this feature in 3.19
https://github.com/LimeSurvey/LimeSurvey/pull/1308#issuecomment-514149781

PS : my opinion, why not BUT : why not other minor feature (like adding a function in twig …)

Issue History

Date Modified Username Field Change
2019-07-04 14:17 tammo New Issue
2019-07-04 21:35 ollehar Note Added: 52744
2019-07-04 21:35 ollehar Note Edited: 52744 View Revisions
2019-07-05 10:58 DenisChenu Note Added: 52746
2019-07-20 22:31 JanE Note Added: 52945
2019-07-22 18:59 JanE Note Added: 52953
2019-07-23 11:06 DenisChenu Assigned To => DenisChenu
2019-07-23 11:06 DenisChenu Status new => assigned
2019-07-23 11:07 DenisChenu Note Added: 52954
2019-07-24 19:24 DenisChenu Status assigned => resolved
2019-07-24 19:24 DenisChenu Resolution open => fixed
2019-07-24 19:24 DenisChenu Fixed in Version => 4.0.0-RC2
2019-07-24 19:26 DenisChenu Assigned To DenisChenu => c_schmitz
2019-07-24 19:26 DenisChenu Status resolved => feedback
2019-07-24 19:26 DenisChenu Resolution fixed => reopened
2019-07-24 19:26 DenisChenu Note Added: 52991